
TextCritical.net - Feature #409

"Add to Home Screen" Helper

09/21/2012 08:37 AM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.9   

Description

Add javascript to tell users to add the app to their homescreen. See http://cubiq.org/add-to-home-screen

Associated revisions

Revision 483 - 08/04/2013 05:54 AM - Luke Murphey

Added support for "web-app-capable" which allows the app to be added to iPad's home screen. Closes #409.

Revision 483 - 08/04/2013 05:54 AM - Luke Murphey

Added support for "web-app-capable" which allows the app to be added to iPad's home screen. Closes #409.

Revision 472 - 08/04/2013 05:54 AM - Luke Murphey

Added support for "web-app-capable" which allows the app to be added to iPad's home screen. Closes #409.

History

#1 - 09/21/2012 08:39 AM - Luke Murphey

- Target version set to 1.0

#2 - 02/19/2013 07:28 AM - Luke Murphey

- Target version changed from 1.0 to 0.6

#3 - 02/25/2013 08:17 AM - Luke Murphey

- Assignee set to Luke Murphey

#4 - 03/07/2013 07:03 AM - Luke Murphey

- Target version changed from 0.6 to 1.0

#5 - 03/11/2013 02:37 AM - Luke Murphey

Might want to look into: http://cybernetnews.com/ios-web-apps-full-screen-no-address-bar-no-toolbar/

#6 - 04/05/2013 05:39 AM - Luke Murphey

- Target version changed from 1.0 to 0.9

#7 - 08/02/2013 04:39 AM - Luke Murphey

- Subject changed from Add to Home Screen Helper to "Add to Home Screen" Helper

#8 - 08/04/2013 05:07 AM - Luke Murphey

This almost works. Except that iOS causes links to open in a new Safari instance. This link (

http://stackoverflow.com/questions/2898740/iphone-safari-web-app-opens-links-in-new-window) has a solution but it doesn't work for pages where

content is loaded dynamically (like on the read works page).

Currently this affects:
http://cubiq.org/add-to-home-screen
Works index

Read work page (the loading of the page content and the morphology dialog)

Search page

#9 - 08/04/2013 05:54 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r483.
